unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, SHDocVw, ZylGMaps, StdCtrls, Spin, ExtCtrls;

type
  TForm1 = class(TForm)
    ZylGMaps1: TZylGMaps;
    gbLat: TGroupBox;
    lblDegree: TLabel;
    lblMinute: TLabel;
    lblSecond: TLabel;
    cmbLat: TComboBox;
    efLatDeg: TSpinEdit;
    efLatMin: TSpinEdit;
    efLatSec: TSpinEdit;
    gbLong: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    cmbLong: TComboBox;
    efLongDeg: TSpinEdit;
    efLongMin: TSpinEdit;
    efLongSec: TSpinEdit;
    btnShow: TButton;
    efMarker: TEdit;
    Label4: TLabel;
    rgMapType: TRadioGroup;
    efZoom: TSpinEdit;
    Label5: TLabel;
    procedure btnShowClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.btnShowClick(Sender: TObject);
begin
  ZylGMaps1.Latitude_Degree := efLatDeg.Value;
  ZylGMaps1.Latitude_Minute := efLatMin.Value;
  ZylGMaps1.Latitude_Second := efLatSec.Value;
  if cmbLat.ItemIndex = 0 then
    ZylGMaps1.Latitude_Direction := cpNorth
  else
    ZylGMaps1.Latitude_Direction := cpSouth;

  ZylGMaps1.Longitude_Degree := efLongDeg.Value;
  ZylGMaps1.Longitude_Minute := efLongMin.Value;
  ZylGMaps1.Longitude_Second := efLongSec.Value;
  if cmbLong.ItemIndex = 0 then
    ZylGMaps1.Longitude_Direction := cpEast
  else
    ZylGMaps1.Longitude_Direction := cpWest;

  ZylGMaps1.MarkerText := efMarker.Text;

  ZylGMaps1.MapType := TMapType(rgMapType.ItemIndex);
  ZylGMaps1.Zoom := efZoom.Value;

  ZylGMaps1.ShowMap;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  cmbLat.ItemIndex := 0;
  cmbLong.ItemIndex := 0;
end;

end.
